kbuild (1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1) xenial; urgency=medium

  * SRU to xenial, to make virtualbox 5.1 build correctly
  * New upstream version 5.1.32-dfsg
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 14:51:36 +0100

kbuild (1:0.1.9998svn2814+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jul 2016 18:32:24 +0200

kbuild (1:0.1.9998svn2814+dfsg-1) experimental; urgency=medium

  * New upstream snapshot, patch refresh.
  * Update standard-version to 3.9.8, no changes required.
  * update VCS in https mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2015 12:09:43 +0200

kbuild (1:0.1.9998svn2786+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, patch refresh.
  * Remove 08_no_o3_optimization.diff
  * d/p/01_gnukfreebsd.diff
    - Fix kfreebsd-* build failures, due to missing pthreads.
      this patch was originally under 06_binutils-gold.diff,
      but this is now a specific kfreebsd porting issue.
    - Fix also a cosmetic issue.
  * d/p/02_sh4.diff: fix a cosmetic issue (space) and a possible
      clash in duplicated value.
  * d/p/11_find-glob.patch:
    - sync with Fedora patch (Thanks Sérgio Basto).
  * d/p/10_ppc64el.diff:
    - sync with Fedora patch, with a little tweak for el instead of le.
    (Thanks again Sérgio Basto!)
  * d/p/12_arm64.diff: patch refresh.
  * Update my uid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2015 15:43:17 +0200

kbuild (1:0.1.9998svn2780+dfsg-2) unstable; urgency=low

  * Sync kbuild with Fedora patches (thanks Sérgio Basto!):
    - sync 04_armv7l.diff, adding some more arm archs
    - 06_binutils-gold.diff add pthread for all archs, and
      -Wl,--as-needed to strip where not needed.
    - simplify a lot 11_find-glob.patch
    - disable 08_no_o3_optimization.diff the problem was fixed upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 May 2015 16:29:22 +0200

kbuild (1:0.1.9998svn2780+dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.

  [ Ritesh Raj Sarraf ]
  * Upload to Unstable

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 27 Apr 2015 00:42:00 +0200

kbuild (1:0.1.9998svn2745+dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.
  * Fix get-orig-source script, to avoid the epoch bump.
  * Tweak orig-tar.sh to always get the latest release, instead of the
    release in d/changelog.

  [ Logan Rosen ]
  * debian/patches/12_arm64.diff: Add arm64 support to fix FTBFS.
    (Closes: #759457)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 16 Jan 2015 10:31:12 +0100

kbuild (1:0.1.9998svn2734+dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.
    - drop 03_dprintf-posix2008.diff code removed upstream.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Fernando Seiti Furusato ]
  * Added ppc64el to build to fix ftbfs (Closes: #760605).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 20 Oct 2014 09:53:59 +0200

kbuild (1:0.1.9998svn2695+dfsg-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Felix Geyer ]
  * Remove myself from uploaders.

  [ Ritesh Raj Sarraf ]
  * [0437af2] Add cherry-picked commit from upstream as a quilt patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Jul 2014 11:58:57 +0200

kbuild (1:0.1.9998svn2695+dfsg-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [8c3dfc1] Exclude src/kmk/doc/make.texi from dfsg archive
  * [00cc15e] Imported Upstream version 0.1.9998svn2695+dfsg
  * [34ffb72] Add myself to Uploaders

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 Dec 2013 12:06:57 +0530

kbuild (1:0.1.9998svn2577+dfsg-3) unstable; urgency=low

  * Add missing build-dependency on texinfo. (Closes: #712335)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 03 Jul 2013 11:59:45 +0200

kbuild (1:0.1.9998svn2577+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical URIs for Vcs-* fields.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 09 May 2013 11:37:23 +0200

kbuild (1:0.1.9998svn2577+dfsg-1) experimental; urgency=low

  * New upstream snapshot. (Closes: #697620)
  * Switch to my @debian.org email address.
  * Refresh patches.
  * Switch to debhelper compat level v9.
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 06 Mar 2013 21:53:30 +0100

kbuild (1:0.1.9998svn2543+dfsg-1) unstable; urgency=high

  * Stop hardcoding the -O3 optimization flag as it causes kmk_sed to
    miscompile. (Closes: #697892)
    - Add 08_no_o3_optimization.diff
  * Set urgency to high as it fixes an RC bug which blocks a virtualbox
    security fix.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 18 Jan 2013 19:00:28 +0100

kbuild (1:0.1.9998svn2543+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unused and non DFSG-compliant src/kmk/doc/make.texi from source.
    (Closes: #695779)

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 16:27:03 -0400

kbuild (1:0.1.9998svn2543-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd: link against pthread. (Closes: #645698)
    - Update 06_binutils-gold.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 30 Nov 2011 16:32:21 +0100

kbuild (1:0.1.9998svn2543-1) unstable; urgency=low

  * New upstream snapshot.
  * Refresh patches.
  * Switch to source format 3.0 (quilt).
    - Add unapply-patches and abort-on-upstream-changes to local-options.
  * Convert package from cdbs to dh(1).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add gbp.conf and enable pristine-tar.
  * Enable DM-Upload-Allowed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 20 Aug 2011 16:04:33 +0200

kbuild (1:0.1.98svn2318-8) unstable; urgency=low

  * Disable threads on 64bit kfreebsd systems.

 -- Michael Meskes <meskes@debian.org>  Wed, 26 May 2010 16:53:48 +0200

kbuild (1:0.1.98svn2318-7) unstable; urgency=low

  [ Michael Meskes ]
  * Remove hppa workaround that is no longer needed.

  [ Felix Geyer ]
  * Split parts of kbuild-binutils-gold.diff into
    kbuild-hppa-disable-threads.diff.
  * Rename the patches so the filename starts with the patch number.
  * Add 07_special-chars-build-path.diff to fix FTBFS when the build path
    contains special characters.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 May 2010 17:41:46 +0200

kbuild (1:0.1.98svn2318-6) unstable; urgency=low

  [ Felix Geyer ]
  * Replaced bintuils-gold patch by new one not breaking compilation on
    hppa. (Closes: #577604)

  [ Michael Meskes ]
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Tue, 04 May 2010 16:16:46 +0200

kbuild (1:0.1.98svn2318-5) unstable; urgency=low

  * Add patch to fix build on armv7l. (LP: #535093) - thanks to
    Jamie Bennett <jb@canonical.com>
  * Added myself as uploader.
  * Bump Standards-Version to 3.8.4 (no changes).
  * Build-Depend on autopoint instead of cvs. (Closes: #572473)
  * Fix FTBFS with binutils-gold. (Closes: #554937)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 09 Mar 2010 19:50:28 +0100

kbuild (1:0.1.98svn2318-4) unstable; urgency=low

  [ Felix Geyer ]
  * Added patch from Fedora to fix build on POSIX.1-2008
    systems (Closes: #552843)

  [ Michael Meskes ]
  * Remove all files created by build process.

 -- Michael Meskes <meskes@debian.org>  Sat, 31 Oct 2009 20:11:54 +0100

kbuild (1:0.1.98svn2318-3) unstable; urgency=low

  * Added patch to fix build on GNU/kFreeBSD. (Closes: #540665) - thanks
    to Julian Andres Klode <jak@debian.org>
  * Added patch to fix build on sh4. (Closes: #544974) - thanks to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Sep 2009 15:37:35 +0200

kbuild (1:0.1.98svn2318-2) unstable; urgency=low

  * New maintainer (Closes: #534921).
  * Removing useless whitespaces at EOL and EOF.
  * Using correct rfc-2822 date formats in changelog.
  * Prefixing debhelper files with package name.
  * Rewriting manpage from scratch and in plain roff.
  * Updating vcs fields in control.
  * Updating package to debhelper 7.
  * Rewriting copyright file in machine-interpretable format.
  * Using tabs rather than space as separator in debhelper links file.
  * Updating uploaders field.
  * Updating package to standards version 3.8.3.
  * Sorting and wrapping depends.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Aug 2009 17:15:33 +0200

kbuild (1:0.1.98svn2318-1) unstable; urgency=low

  * new upstream version (Closes: #523311)
  * Bump up Standards-Version: 3.8.1 (no changes).
  * Add manpage symlink for kDepObj.

 -- Torsten Werner <twerner@debian.org>  Fri, 10 Apr 2009 01:51:12 +0200

kbuild (1:0.1.5svn2262-2) unstable; urgency=low

  * Set KMK_THREADS_DISABLED := 1 to fix build problems on hppa.

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Feb 2009 21:19:02 +0100

kbuild (1:0.1.5svn2262-1) unstable; urgency=low

  * new upstream version (Closes: #512631)

 -- Torsten Werner <twerner@debian.org>  Thu, 22 Jan 2009 15:40:58 +0100

kbuild (1:0.1.5svn2062-1) unstable; urgency=low

  * new upstream version
  * Remove patch lazy.diff that has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Wed, 12 Nov 2008 21:54:38 +0100

kbuild (1:0.1.5svn2059-2) unstable; urgency=low

  * Create SvnInfo.kmk during build process because the upstream svn does not
    ship it anymore.

 -- Torsten Werner <twerner@debian.org>  Sat, 08 Nov 2008 09:17:10 +0100

kbuild (1:0.1.5svn2059-1) unstable; urgency=low

  * new upstream version
  * Add patch lazy.diff to fix build process.
  * Add more manpage symlinks.

 -- Torsten Werner <twerner@debian.org>  Fri, 07 Nov 2008 23:25:40 +0100

kbuild (1:0.1.4svn1804-1) unstable; urgency=low

  * new upstream version
  * Bump up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Tue, 07 Oct 2008 20:50:48 +0200

kbuild (1:0.1.3svn1610-1) unstable; urgency=low

  * new upstream version (Closes: #479046, #480012)
  * Remove patch cpu.diff that has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Thu, 08 May 2008 20:20:07 +0200

kbuild (1:0.1.3svn1587-1) unstable; urgency=low

  * new upstream version
  * Add support for armv5tejl.

 -- Torsten Werner <twerner@debian.org>  Thu, 17 Apr 2008 22:08:34 +0200

kbuild (1:0.1.2svn1393-2) unstable; urgency=high

  * Add patch to fix build on parisc.
  * Set urgency to high because we are fixing a FTBFS bug on 1 arch.

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Apr 2008 22:42:26 +0200

kbuild (1:0.1.2svn1393-1) unstable; urgency=low

  * new upstream release
  * Remove our patch because it has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Mar 2008 22:29:26 +0100

kbuild (1:0.1.2svn1377-5) unstable; urgency=low

  * Add support for s390x.

 -- Torsten Werner <twerner@debian.org>  Sun, 30 Dec 2007 23:54:18 +0100

kbuild (1:0.1.2svn1377-4) unstable; urgency=low

  * Add support for mips.

 -- Torsten Werner <twerner@debian.org>  Sun, 30 Dec 2007 22:53:09 +0100

kbuild (1:0.1.2svn1377-3) unstable; urgency=low

  * Add support for armv5tel.

 -- Torsten Werner <twerner@debian.org>  Fri, 28 Dec 2007 23:39:11 +0100

kbuild (1:0.1.2svn1377-2) unstable; urgency=low

  * Add support for PA-RISC.

 -- Torsten Werner <twerner@debian.org>  Fri, 28 Dec 2007 13:20:11 +0100

kbuild (1:0.1.2svn1377-1) unstable; urgency=low

  * Use version number (KBUILD_VERSION) from file Config.kmk for our package.
  * Always bootstrap kBuild because it is required.
  * Add Build-Depends: autoconf, automake, cvs.
  * Remove Build-Depends: doxygen, kbuild.

 -- Torsten Werner <twerner@debian.org>  Sat, 22 Dec 2007 11:53:03 +0100

kbuild (1377-2) unstable; urgency=low

  * Add patch cpu.diff to support Debian's architectures.
  * Set LDFLAGS to -Wl,--as-needed to avoid linking of unneeded libraries.
  * Use the freshly built kmk for the installation step instead of the old one
    used for the build step. Rationale: that is a very basic test that the new
    kmk is really working.

 -- Torsten Werner <twerner@debian.org>  Fri, 21 Dec 2007 18:06:38 +0100

kbuild (1377-1) unstable; urgency=low

  * new upstream version
  * Add some debugging output (gcc macros).
  * Update Homepage and Vcs headers in debian/control.
  * Change Standards-Version: 3.7.3.
  * Add manpage symlinks for kmk_redirect and kmk_test.

 -- Torsten Werner <twerner@debian.org>  Fri, 21 Dec 2007 12:30:37 +0100

kbuild (1366-1) unstable; urgency=low

  * new upstream version
    - Does not ship kBuild.Doxyfile any more.
  * Remove all references to the obsoleted documentation files.
    (Closes: #454038)
  * Remove Depends: autoconf, automake1.9.

 -- Torsten Werner <twerner@debian.org>  Mon, 03 Dec 2007 18:59:04 +0100

kbuild (1258-1) unstable; urgency=low

  * new upstream release
  * Remove the last patch because it has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Oct 2007 23:05:09 +0100

kbuild (1173-1) unstable; urgency=low

  * new upstream release
  * Fix the get-orig-source target in debian/rules.
  * Removed all patches that have been applied upstream.
  * Add more man page symlinks (kmk_cmp and kmk_md5sum).

 -- Torsten Werner <twerner@debian.org>  Tue, 02 Oct 2007 21:59:51 +0200

kbuild (1096-1) unstable; urgency=low

  * new upstream version
  * Add kbuild to Build-Depends.
  * Fix clean target. (Closes: #442611)
  * Comment the patches.

 -- Torsten Werner <twerner@debian.org>  Sun, 16 Sep 2007 19:06:22 +0200

kbuild (1080-2) unstable; urgency=low

  * Add patch arm.diff to support armv4l too.

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Jul 2007 12:26:46 +0200

kbuild (1080-1) unstable; urgency=low

  * New upstream version
  * Add a patch debug.diff that fixes debugging output.

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Jul 2007 08:27:12 +0200

kbuild (1060-1) unstable; urgency=low

  * New upstream version
  * Bootstrap every architecture again because some binaries are buggy.

 -- Torsten Werner <twerner@debian.org>  Sat, 09 Jun 2007 07:42:44 +0200

kbuild (894-5) unstable; urgency=low

  * Remove directory 'out' in clean target. (Closes: #424426)

 -- Torsten Werner <twerner@debian.org>  Sat, 19 May 2007 23:25:17 +0200

kbuild (894-4) unstable; urgency=low

  * Add hppa, ia64, mips, mipsel, powerpc, s390 to already bootstrapped
    architectures.
  * Add patch unused.diff to fix a build problem on alpha.

 -- Torsten Werner <twerner@debian.org>  Mon, 14 May 2007 05:30:43 +0200

kbuild (894-3) unstable; urgency=low

  * Add yet another fix for the missing architectures.

 -- Torsten Werner <twerner@debian.org>  Sat, 12 May 2007 18:32:30 +0200

kbuild (894-2) unstable; urgency=low

  * Complete the last (incomplete) patch.

 -- Torsten Werner <twerner@debian.org>  Sat, 12 May 2007 15:20:34 +0200

kbuild (894-1) unstable; urgency=low

  * New upstream revision.
  * Use the revision number from debian/changelog for debian/orig-tar.sh.
  * Add Build-Depends: kbuild [amd64 i386].
  * Add a patch to support all Debian architectures.

 -- Torsten Werner <twerner@debian.org>  Sat, 12 May 2007 14:38:49 +0200

kbuild (893-1) unstable; urgency=low

  * Initial release (Closes: #422367)

 -- Torsten Werner <twerner@debian.org>  Fri, 04 May 2007 20:35:40 +0200
